<?php
namespace Teknisa\FIS\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
use Teknisa\FIS\Controllers\TeknisaCrud;
use Teknisa\FIS\Services\Fis01500ParametrosDeFiscalService;

class Fis01500ParametrosDeFiscalController extends TeknisaCrud{

    public function __construct($crudService, ParameterBag $parameterBag, Fis01500ParametrosDeFiscalService $fis01500ParametrosDeFiscalService) {
        $this->fis01500ParametrosDeFiscalService = $fis01500ParametrosDeFiscalService;
        parent::__construct($crudService, $parameterBag);
    }
    
    public function salvarParametrosDeFiscal(DTO\Request\Row $request, DTO\Response $response){
        try{
            $row = $request->getRow();
            $this->fis01500ParametrosDeFiscalService->salvarParametrosDeFiscal($row);
        }catch(\Exception $e){
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }       
    }
}